%global dlrn_nvr cliff-3.7.0-17.1.20230621183030.117a100
%global dlrn 1
%define upstream_version 3.7.0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global modname cliff

%global common_desc \
cliff is a framework for building command line programs. It uses setuptools \
entry points to provide subcommands, output formatters, and other \
extensions. \
\
Documentation for cliff is hosted on readthedocs.org at \
http://readthedocs.org/docs/cliff/en/latest/

%global common_desc_tests This package contains tests for the python cliff library.

Name:             python-%{modname}
Version: 3.7.0
Release: 17.1.20230621183031.117a100%{?dist}
Summary:          Command Line Interface Formulation Framework

Group:            Development/Libraries
License:          ASL 2.0
URL:              https://pypi.io/pypi/cliff
Source0: cliff-3.7.0-17.1.20230621183030.117a100.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=117a1005dc208b55aba93652856c8001b28a48ce
Patch0001: 0001-Add-conflict_handler-parameter-as-attribut-in-Comman.patch

BuildArch:        noarch

%package -n python3-%{modname}
Summary:          Command Line Interface Formulation Framework
%{?python_provide:%python_provide python3-%{modname}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-pbr
BuildRequires:    python3-prettytable
BuildRequires:    python3-stevedore
BuildRequires:    python3-six
BuildRequires:    python3-pyparsing
BuildRequires:    python3-cmd2 >= 0.8.0

Requires:         python3-prettytable
Requires:         python3-stevedore >= 2.0.1
Requires:         python3-cmd2 >= 1.0.0
Requires:         python3-pyparsing
Requires:         python3-yaml >= 3.12
Requires:         python3-pbr >= 2.0.0

%description -n python3-%{modname}
%{common_desc}

%package -n python3-%{modname}-tests
Summary:          Command Line Interface Formulation Framework
%{?python_provide:%python_provide python3-%{modname}-tests}

# Required for the test suite
BuildRequires:    python3-mock
BuildRequires:    bash
BuildRequires:    which
BuildRequires:    python3-subunit
BuildRequires:    python3-testtools
BuildRequires:    python3-testscenarios
BuildRequires:    python3-testrepository
BuildRequires:    python3-docutils
BuildRequires:    python3-PyYAML

Requires:         python3-%{modname} = %{version}-%{release}
Requires:         python3-mock
Requires:         bash
Requires:         which
Requires:         python3-subunit
Requires:         python3-testtools
Requires:         python3-testscenarios
Requires:         python3-testrepository
Requires:         python3-PyYAML

%description -n python3-%{modname}-tests
%{common_desc_tests}

%description
%{common_desc}

%prep
%setup -q -n %{modname}-%{upstream_version}

%patch0001 -p1

rm -rf {test-,}requirements.txt

# Remove bundled egg info
rm -rf *.egg-info

%build
%{py3_build}

%install
%{py3_install}

%check
PYTHON=python3 python3 setup.py test

%files -n python3-%{modname}
%license LICENSE
%doc doc/ README.rst ChangeLog AUTHORS CONTRIBUTING.rst
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-*.egg-info
%exclude %{python3_sitelib}/%{modname}/tests

%files -n python3-%{modname}-tests
%{python3_sitelib}/%{modname}/tests

%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.7.0-17.1.20230621183030.117a100
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.7.0-1.20220727213806.117a100
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.7.0-0.20220712074712.117a100
- Update patches

* Thu Dec 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.0-0.20211202101900.117a100
- Add conflict_handler parameter as attribut in Command class (rhbz#2013575)

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.0-0.20210527203840.117a100
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.0-1
- Update patches

* Tue Mar 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- requirements: Uncap PrettyTable
- Add '--sort-ascending', '--sort-descending' parameters
- Make 'FormattableColumn' comparable
- Handle null values when sorting
- Remove unicode from code
- gitignore: Ignore reno artefacts
- Remove lower-constraints

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- trivial: Remove references to Python 2.7
- Remove six
- List setuptools under install_requires

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- columns: Make 'FormattableColumn' comparable
- Update requirements URLs in tox config
- Update requirements
- doc: Update bug tracker to storyboard
- Remove references to setuptools
- Add py38 package metadata
- Remove Babel from lower-constraints.txt
- Bump py37 to py38 in tox.ini
- Document KeyboardInterrupt exit code
- Exit gracefully on Ctrl-C
- change help action to use its own exception for exit
- Add Python3 wallaby unit tests
- Capturing argparse errors due to problem with cmd2

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- switch to stevedore for loading entry points

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


